clear
Set-Location $PSScriptRoot

if (Test-Path .\ReadMe.txt) {
} else {
    Write-Host "This script cannot be run locally but must be run from the psimage network share"
    Write-Host 'Right-click upload_client.ps1 and choose "Run with PowerShell"'
    Read-Host -Prompt "Press Enter to quit"
    exit
}

Write-Host "Upload custom FileWave Client"
$client_path=Read-Host -Prompt "Drop FileWave Client here and press Enter to upload"

#C:\Users\baotran\Desktop\FileWaveClient_14.5.2-filewave.filewavecorp.com-31-Aug-2021.msi
$file_name=$client_path.Split("\") | select -Last 1
$file_name=$file_name -replace '"',''

$client_version=$file_name.Split("-") | select -First 1
$client_version=$client_version.Split("_") | select -Last 1
$client_version | Out-File .\fw_client_version.txt

Write-Output "Uploading FileWave client"
Copy-Item -Path $client_path -Destination ".\FileWaveClient.msi"
Write-Output "Driver upload done"

Read-Host -Prompt "Press Enter to exit"